
Robotics Systems Types - Enhancement #629
svn-based package version
10/14/2011 02:34 PM - J. Wienke

Status: Rejected Start date: 11/17/2011
Priority: Normal Due date: 11/17/2011
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Description
We need to remove the artificial version to meet the structure proposal and use the highest svn revision of one of the project files.
However, this information is not easily accessible in svn, because:
    -  revisions are per file and the top-level CMakeLists.txt may have a lower revision
    -  svnversion tool could help, but is not usable for svn export, which is e.g. used by the gar-installer

Related issues:
Related to Robotics Systems Types - Tasks # 601: Consolidate RST Types Resolved 09/30/2011
Related to Robotics Service Bus - Feature # 572: Include version information ... Rejected 09/19/2011
Follows Robotics Systems Types - Tasks # 724: Remove version from generated a... Resolved 11/16/2011

History
#1 - 10/14/2011 02:47 PM - S. Wrede

Cant we use a commit hook to write this information to a file in the repository?

#2 - 10/14/2011 02:58 PM - J. Wienke

If modifying the repository for this case is acceptable?

#3 - 10/17/2011 02:21 PM - J. Wienke

It seems we cannot use a hook for this purpose: http://svnbook.red-bean.com/en/1.1/ch05s02.html (red warning box at the bottom)

#4 - 08/28/2012 12:22 PM - J. Moringen
- Status changed from New to Rejected

No longer relevant since we switched to git.
